Skip to main content
POST
/
api
/
v1
/
events
/
{id}
/
attendees
Add an attendee to an event.
curl --request POST \
  --url https://api.backside.app/api/v1/events/{id}/attendees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "comment": "<string>",
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_name": "<string>",
  "participant_type": "<string>",
  "role": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "participant_type": "<string>",
  "response_status": "<string>",
  "role": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "comment": "<string>",
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_name": "<string>",
  "key_version": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Event ID

Body

application/json
email
string
required
comment
string | null
contact_id
string<uuid> | null
display_name
string | null
participant_type
string | null
role
string | null

Response

201 - application/json
created_at
string<date-time>
required
email
string
required
event_id
string<uuid>
required
id
string<uuid>
required
metadata
any
required
participant_type
string
required
response_status
string
required
role
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
comment
string | null
contact_id
string<uuid> | null
display_name
string | null
key_version
integer<int32> | null